Bug 1609239

Summary: [gnome-terminal] The default Google Noto CJK fonts are not listed in the preference menu.
Product: [Fedora] Fedora Reporter: Bhushan Barve <bbarve>
Component: gnome-terminalAssignee: Akira TAGOH <tagoh>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: alexl, bbarve, debarshir, egmont, john.j5live, lijli, mclasen, pwu, rhughes, rstrode, sandmann, tagoh
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
noto CJK fonts not available for selection in gnome-terminal none

Description Bhushan Barve 2018-07-27 10:56:35 UTC
Description of problem: The Google Noto CJK fonts are not available for selection in the gnome-terminal preferences.Please refer attached screenshot.

[test@localhost ~]$ rpm -qa google-noto*
google-noto-sans-cjk-ttc-fonts-20170602-8.fc29.noarch
google-noto-sans-sinhala-fonts-20161022-8.fc29.noarch
google-noto-cjk-fonts-common-20170602-8.fc29.noarch
google-noto-fonts-common-20161022-8.fc29.noarch
google-noto-serif-cjk-ttc-fonts-20170602-8.fc29.noarch
google-noto-emoji-color-fonts-20180508-4.fc29.noarch


Version-Release number of selected component (if applicable):
Fedora-Workstation-Live-x86_64-Rawhide-20180723.n.0
google-noto-cjk-fonts-common-20170602-8.fc29.noarch
gnome-terminal-3.28.2-3.fc29.x86_64

How reproducible:
always

Steps to Reproduce:
1. Install rawhide
2. launch gnome-terminal
3. Go to edit->preferences
4. click on the option for custom fonts and search 'noto'

Actual results:
No Google Noto CJK fonts listed.

Expected results:
Google Noto CJK fonts should be available for selection.

Additional info:
Installation locale was ja_JP

Comment 1 Egmont Koblinger 2018-07-27 11:11:07 UTC
gnome-terminal 3.28 only offers you monospace fonts.

I think it might require further investigation why Google Noto CJK is not believed to be a monospace font by the pango_font_family_is_monospace() function – if it actually is.

Alternatively, the change in gnome-terminal could be reverted if there's a good reason, and if the aforementioned function is not safe to rely on.

Until then, as a workaround you can set any font using dconf-editor (or command-line dconf) under /org/gnome/terminal/legacy/profiles:/:<profile_id>/font.

Comment 2 Bhushan Barve 2018-07-30 06:47:00 UTC
Created attachment 1471422 [details]
noto CJK fonts not available for selection in gnome-terminal

Comment 3 Akira TAGOH 2018-07-31 10:18:42 UTC
just tried the following workaround for testing on gnome-terminal (and emacs which apparently is checking spacing property in the code). run fc-cache to apply and didn't see any side-effects so far:

<fontconfig>
  <match target="scan">
    <test name="family"><string>Noto Sans Mono CJK JP</string></test>
    <edit name="spacing" mode="append"><const>dual</const></edit>
  </match>
  <match target="scan">
    <test name="family"><string>Noto Sans Mono CJK KR</string></test>
    <edit name="spacing" mode="append"><const>dual</const></edit>
  </match>
  <match target="scan">
    <test name="family"><string>Noto Sans Mono CJK SC</string></test>
    <edit name="spacing" mode="append"><const>dual</const></edit>
  </match>
  <match target="scan">
    <test name="family"><string>Noto Sans Mono CJK TC</string></test>
    <edit name="spacing" mode="append"><const>dual</const></edit>
  </match>
</fontconfig>

Comment 4 Jan Kurik 2018-08-14 08:40:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Jens Petersen 2019-09-24 06:03:40 UTC
How about newer releases?

Comment 6 Akira TAGOH 2019-09-24 06:28:57 UTC
This still persists in f31. I didn't make any changes in fonts side. and still in discussion to improve determining spacing property in fontconfig.